### Method

# EDataBook BookBackend create_contacts

since: 3.10

#### Declaration [src]

    void
    e_book_backend_create_contacts (
      EBookBackend* backend,
      const gchar* const* vcards,
      guint32 opflags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously creates one or more new contacts from `vcards`.

When the operation is finished, `callback` will be called. You can then call `e_book_backend_create_contacts_finish()` to get the result of the operation.

Available since: 3.10

This method completes asynchronously. Use `e_book_backend_create_contacts_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`vcards`

  Type: `const gchar* const*`

  A `NULL`-terminated array of vCard strings.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`opflags`

  Type: `guint32`

  Bit-or of `EBookOperationFlags`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.